Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class AstBrowserUiPreferences

    java.lang.Object
      groovy.inspect.swingui.AstBrowserUiPreferences

    class AstBrowserUiPreferences
    extends Object

This class sets and restores control positions in the browser.

Authors:
  Hamlet D'Arcy

Property Summary
`int` | `decompiledSourceFontSize`
`def` | `frameLocation`
`def` | `frameSize`
`def` | `horizontalDividerLocation`
`CompilePhaseAdapter` | `selectedPhase`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`
`def` | `verticalDividerLocation`

Constructor Summary
`AstBrowserUiPreferences()`

Method Summary
`def` | `save(def frame, def vSplitter, def hSplitter, def scriptFreeFormPref, def scriptClassPref, CompilePhaseAdapter phase)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### decompiledSourceFontSize

    int decompiledSourceFontSize

### frameLocation

    final def frameLocation

### frameSize

    final def frameSize

### horizontalDividerLocation

    final def horizontalDividerLocation

### selectedPhase

    final CompilePhaseAdapter selectedPhase

### showScriptClass

    final boolean showScriptClass

### showScriptFreeForm

    final boolean showScriptFreeForm

### verticalDividerLocation

    final def verticalDividerLocation

Constructor Detail

### AstBrowserUiPreferences

    AstBrowserUiPreferences()

Method Detail

### save

    def save(def frame, def vSplitter, def hSplitter, def scriptFreeFormPref, def scriptClassPref, CompilePhaseAdapter phase)

Copyright © 2003-2010 The Codehaus. All rights reserved.